APT, the Advanced Packaging Tool, is Debian's high-level package management system. It is also used by several other Linux-based and Debian-based operating systems.

learn more… | top users | synonyms (1)

4
votes
0answers
82 views

debian/ubuntu: Prevent UI prompting in command-line apt-get

So, in order to prevent console-UI (newt, snack, dialog) prompts during the dpkg post-install, you have to do something like: debconf-set-selections <<< 'mysql-server mysql-server/...
3
votes
0answers
2k views

Unable to apt-get install nginx-extras package on top of nginx 1.7.9

I am attempting to install Phusion Passenger for nginx on a dev Ubuntu box following this guide from the passenger website. I have Nginx installed and running already, version is 1.7.9-1~trusty. I ...
2
votes
0answers
3k views

Ubuntu 12.04/14.04 - apt-get 404 Not Found [IP: local-dns-server-ip 80] through proxy

I am trying to setup an ubuntu server (12.04 or 14.04) and have installed the server image onto the system I am using. Everything works fine until I try to run sudo apt-get update. When this runs, I ...
2
votes
0answers
478 views

Debian: how to install a 64 bit package using apt?

I am migrating my system to 64 bit and the debian wiki suggests to first debootstrap a 64bit into a directory, then collect all 64bit packages and install them but this doesn't work. To install 64bit ...
2
votes
0answers
519 views

Ubuntu 13.04: apt-get and check-new-release CPU bound

I own a virtual server hosted by a provider. A few hours ago I was notified about the VM being CPU-bound. I couldn't log in and rebooted the server. After the boot, apt-get and check-new-release were ...
1
vote
0answers
94 views

How do I ignore unmet dependencies while using apt-get remove?

I have a thin VPS running Ubuntu 14.04 with automatic security updates. It has filled up the /boot partition with a lot of kernel updates. I am trying to remove the older ones, but I'm running into an ...
1
vote
0answers
73 views

Issues installing R package, r-base; Ubuntu 14

I am having a massive headache trying to install R. I go to install r-base and I get the following. root@10:/etc/apt > apt-get install r-base Reading package lists... Done Building dependency ...
1
vote
0answers
62 views

Using Debian's unattended-upgrades package

I'm trying to have all official packages from Debian be upgraded on a Wheezy box - I've set the following: "o=Debian,a=oldstable"; "o=Debian,a=oldstable-updates"; "o=Debian,a=oldstable-backports"; ...
1
vote
0answers
227 views

apt update blocked by cyclical dependices

I have Debian running on a VPS instance that is kept alive for a little site/project that is used by a small user base on an irregular basis. The server is largely left alone but I try to login every ...
1
vote
0answers
52 views

Tasksel with E: read, still have 1070 to read but none left

I try to use tasksel to install webserver But When I run tasksel i just get E: read, still have 1070 to read but none left Run On Ubuntu 14.04.3 LTS \n \l Kernel 3.18.20-nce-amd64
1
vote
0answers
33 views

Unmet dependancies on Debian7

I did the dist-upgrade on debian from 7.8 wheezy to 8.1 jessie. then I had some trubles with old compilet PHP and had to revert back. Since the downgrade, I have this on trying to do a dist-upgrade ...
1
vote
0answers
77 views

Apt and package conflicts

I have spent some time researching, and as I could not find anyone with the same issue I figured I might as well ask. I have two packages X and X-1. X-1 is essentially an upgrade from the previous ...
1
vote
0answers
65 views

Why some apt-get and aptitude installations remove some programs?

I wanted to install wireshark, and I went to Installing wireshark So I just typed on terminal aptitude install wireshark and before it install wireshark, it removed 251 programs, and I don't have ...
1
vote
0answers
206 views

Ubuntu upgrade PHP not working anymore and nor error log

I ran apt-get update, followed by apt-get upgrade on my Ubuntu (Homestead VM). Since then I can't access my PHP app anymore. I've tried accessing a txt file from my application and this works (http//....
1
vote
0answers
82 views

Build a repository with apt-mirror for ubuntu with changelogs

is it possible to create an internal mirror of the ubuntu update repository with apt-mirror including all the changelogs. I have the following output when i ask for the changelog of a package: apt-...
1
vote
0answers
82 views

Why won't my libvirt VM communicate with apt repositories when wget and ping work?

I'm trying to use Vagrant and Puppet to make it easier to duplicate a multi-server setup for our websites. The recommended workflow is to vagrant up the puppetmaster server specifically first, and ...
1
vote
0answers
280 views

Failed to install Nginx from nginx.org, Debian apt preferences messed up?

I'm trying to install Nginx from the latest release on nginx.org However, the latest package is not picked up: $ apt-get install nginx Reading package lists... Done Building dependency tree ...
1
vote
0answers
156 views

Ubuntu : apt-get command error

I work with Ubuntu 10.04 everyday. Several days ago, when I release command sudo apt-get install .... it run very good, no error. I also able to open websites with my browser with no proxy. But, ...
1
vote
0answers
62 views

What can prevent apt from installing higher version

I'm trying to install a specific version of a package (python-neutronclient), but apt is failing to do that due to old packages. This happens even though new packages are available. Aptitude also ...
1
vote
0answers
672 views

Debian Wheezy - apt-get upgrade fault

Today I want to upgrade a server, but it lag on java 8 upgrade, I use Ctrl + C and stop upgrade, now when I want to upgrade, I have this problem: Can anybody help me? root@mg1:/home/system# apt-get ...
1
vote
0answers
69 views

Can't run any apt-get update without killing server

I have an ubuntu 12.04.2 that dies after I tried to do an upgrade on it. E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. So I run that and get the ...
1
vote
0answers
188 views

How do I upgrade OpenSSH Server on Ubuntu Hardy (8.04) from v4.7 to CURRENT?

I tried to add backports to my apt sources but that does not make any newer version of OpenSSH show up as being available to upgrade to. See: https://help.ubuntu.com/community/UbuntuBackports Any ...
0
votes
0answers
7 views

Attempting to purge mysql* with apt-get, unable to do so without interaction

I'm attempting to purge MySQL completely from Ubuntu 14.04 non-interactively but can't get past a dialog that requires me to say Yes/No. I'm running this command: sudo apt-get purge -y mysql* ...
0
votes
0answers
47 views

Cannot install libopencv-dev on Ubuntu Xenial

Has anyone else seen this problem? I'm trying to install OpenCV in Ubuntu Xenial LTS. I've tried to uncomment the deb-src entries in my /etc/apt/sources.list and still not working. sudo apt-get -f ...
0
votes
0answers
22 views

I see security updates but there arent any - Ubuntu 14.04

I updated the system with apt-get upgrade and did a restart. Motd shows me 22 updates and 19 security updates, same with /usr/lib/update-notifier/apt-check --human-readable. 15 updates are shown ...
0
votes
0answers
313 views

How can I install nginx 1.9.5 on debian jessie?

I added theses lines to the "/etc/apt/sources.list": deb http://nginx.org/packages/mainline/debian/ jessie nginx deb-src http://nginx.org/packages/mainline/debian/ jessie nginx After that I've ...
0
votes
0answers
18 views

Unable to install php5-mysql on Ubuntu 14.04

When I'm trying to install php5-mysql on my local PC with Ubuntu version: # cat /etc/*-release DISTRIB_ID=Ubuntu DISTRIB_RELEASE=14.04 DISTRIB_CODENAME=trusty DISTRIB_DESCRIPTION="Ubuntu 14.04.4 LTS" ...
0
votes
0answers
10 views

Quite Apt-get Install but Prompt for Input

I am trying to figure out a way to quietly install Java, without all the installation text, but still get the user agreement prompt. Is this possible?
0
votes
0answers
32 views

Curator cannot be installed even python is installed OK

I'm trying to install curator via apt repo on my debian wheezy. I went thru official documentation on elastic.co, added repo and GPG key and tried to install curator with apt-get install python-...
0
votes
0answers
332 views

Unable to locate package landscape-server-quickstart

Any idea why landscape-server-quickstart isn't being found? According to both this AskUbuntu post and the official Landscape 15.11 installation instructions, the following commands should install ...
0
votes
0answers
109 views

sh: x-terminal-emulator: command not found

I got this message during apt-get upgrade in my Ubuntu server 14.04, and I have no idea what is it. E: changelog for this version is not (yet) available; try https://launchpad.net/ubuntu/+source/...
0
votes
0answers
66 views

Enabling apt backports on a case by case basis in linux mint

I'm running Linux Mint 17 and would like to install a package from the backports but I don't want backports installed by default when I use the package manager or apt-get. are there settings or flags ...
0
votes
0answers
107 views

MySQL 5.7 under Debian Jessie with postfix-mysql

I currently have MySQL installed from the MySQL APT repository and am on the 5.6 branch. It comes with libmysqlclient18 and postfix-mysql requires it. If I want to switch to the 5.7 branch, APT will ...
0
votes
0answers
25 views

How to disable the “newer kernel” warning in debian jessie?

Debian jessie prompt on every apt-get upgrade, that a newer kernel was installed and a reboot is needed. How can this warning be disabled, because i want to reboot when it fits and i know that there ...
0
votes
0answers
95 views

Trouble using old package - Debian jessie/Libdb

I'm stuck trying to get squidguard to run. It's due to the version of berkelydb ( libdb ). This is a fresh Debian jessie server install. No gui, just ssh, build-essential etc. Installed squid from ...
0
votes
0answers
237 views

Can't upgrade/restart services after apt-get autoremove

I can't restart apache2 or something else after I did apt-get autoremove. service apache2 restart Failed to restart apache2.service: Launch helper exited with unknown return code 1 I tried apt-...
0
votes
0answers
54 views

GPG error on importing public key

I'm trying to upgrade my php installation from 5.3.10 to 5.6 on a Linux Mint 16 machine, and as a first step, I ran sudo apt-add-repository ppa:ondrej/php5-5.6 The above command is timing out while ...
0
votes
0answers
107 views

unmet dependencies (held broken packages) can't install php5-gd

I'm running Ubuntu 14.04.3 LTS and trying to install php5-gd php_extension, but getting the following error: The following packages have unmet dependencies: php5-gd : Depends: php5-common (= 5....
0
votes
0answers
121 views

Package libapache2-mod-fastcgi is not available when trying to install FPM on Debian 7.8

I'm using Vagrant with Debian 7.8 and wanted to clone our production server. Our production server has php-fpm installed, however, I'm not able to install it. When trying to install my packages for ...
0
votes
0answers
78 views

Newer version of pngquant?

Hopefully I'm ok asking this here (I was going to put it on SO, but decided it was probably better placed here) I've done a fair bit of Googling, to try and figure this out myself - but am not ...
0
votes
0answers
171 views

Installing package fails with “tar: Invalid argument”

I'm running a docker container based on debian:wheezy to install wp-mirror. I'm running into a lot of dependency problems when running apt-get install wp-mirror, it seems to work after running that a ...
0
votes
0answers
64 views

gpg --receive-keys times out but Wireshark confirms the http response is received

I'm using a virtual machine running Ubuntu 14.04, trying to use apt-keys to add keys for nginx. Most of this is automatic via puppet but I'm going through the process manually to find where the fault ...
0
votes
0answers
290 views

Debian apt install single package from experimental but keep original system upgrades

I'v installed xfce 4.12 on debian jessie from testing by adding the testing repo in /etc/apt/sources.list.d/testing.list File content: deb http://ftp.us.debian.org/debian/ testing main ...
0
votes
0answers
39 views

Compare package versions of different debian releases

I installed a server using debian-testing (jessie). Well, I regret it. They already broke the complete system twice because systemd suddenly required additional kernel features. And I don't want to ...
0
votes
0answers
250 views

Apt-get install removed packages

During a puppet run, ia32-libs was installed, this seems to have caused several packages to be uninstalled but I'm not sure why.. Can anyone shine any light on the matter? Here's the apt log entry: ...
0
votes
0answers
1k views

mysql-server : Depends: mysql-server-5.1 but it is not going to be installed

I want to install MySQL on Squeeze (Debian), but I get this error message from apt: mysql-server : Depends: mysql-server-5.1 but it is not going to be installed I have tried to use a different ...
0
votes
0answers
156 views

Broken apt trying to install Cassandra

While trying to install Cassandra on Ubuntu 13.10, the installation crashed and now I'm stuck with broken (?) apt-get. Here is the output of an apt-get install -f: Reading package lists... Done ...
0
votes
0answers
39 views

apt/maven/npm checksum failure on amazon ec2

I'm recently encountering multiple download checksum failures when booting ec2 machine. This manifests itself with sporadic failures of apt, maven and npm installs. In one case that the pom checksum ...
0
votes
0answers
442 views

403 AuthorizedOnly error when attempting apt-get upgrade on Ubuntu 12.04

For some reason, apt-get upgrade isn't working today. This is what I see when I try to upgrade : root@localhost:~# apt-get upgrade Reading package lists... Done Building dependency tree ...
0
votes
0answers
160 views

installing from ubuntu ppa on debian including dependencies

I'm trying to install a stable latest version of couchdb on a Debian 7 server. Sadly for me the packages on the Debian repository are old (1.2) and i need 1.4 and up I've decided to try and use the ...